Customer Seats
Get Claim Info
GET
/
v1
/
customer-seats
/
claim
/
{invitation_token}
Go (SDK)
package main
import(
"context"
polargo "github.com/polarsource/polar-go"
"log"
)
func main() {
ctx := context.Background()
s := polargo.New()
res, err := s.CustomerSeats.GetClaimInfo(ctx, "<value>")
if err != nil {
log.Fatal(err)
}
if res.SeatClaimInfo != nil {
// handle response
}
}from polar_sdk import Polar
with Polar() as polar:
res = polar.customer_seats.get_claim_info(invitation_token="<value>")
# Handle response
print(res)import { Polar } from "@polar-sh/sdk";
const polar = new Polar();
async function run() {
const result = await polar.customerSeats.getClaimInfo({
invitationToken: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Polar;
$sdk = Polar\Polar::builder()->build();
$response = $sdk->customerSeats->getClaimInfo(
invitationToken: '<value>'
);
if ($response->seatClaimInfo !== null) {
// handle response
}curl --request GET \
--url https://api.polar.sh/v1/customer-seats/claim/{invitation_token}const options = {method: 'GET'};
fetch('https://api.polar.sh/v1/customer-seats/claim/{invitation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.polar.sh/v1/customer-seats/claim/{invitation_token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.polar.sh/v1/customer-seats/claim/{invitation_token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"product_name": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"organization_slug": "<string>",
"customer_email": "<string>",
"can_claim": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Read-only information about a seat claim invitation. Safe for email scanners - no side effects when fetched.
Name of the product
ID of the product
Name of the organization
Slug of the organization
Email of the customer assigned to this seat
Whether the seat can be claimed
Was this page helpful?
⌘I
Go (SDK)
package main
import(
"context"
polargo "github.com/polarsource/polar-go"
"log"
)
func main() {
ctx := context.Background()
s := polargo.New()
res, err := s.CustomerSeats.GetClaimInfo(ctx, "<value>")
if err != nil {
log.Fatal(err)
}
if res.SeatClaimInfo != nil {
// handle response
}
}from polar_sdk import Polar
with Polar() as polar:
res = polar.customer_seats.get_claim_info(invitation_token="<value>")
# Handle response
print(res)import { Polar } from "@polar-sh/sdk";
const polar = new Polar();
async function run() {
const result = await polar.customerSeats.getClaimInfo({
invitationToken: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Polar;
$sdk = Polar\Polar::builder()->build();
$response = $sdk->customerSeats->getClaimInfo(
invitationToken: '<value>'
);
if ($response->seatClaimInfo !== null) {
// handle response
}curl --request GET \
--url https://api.polar.sh/v1/customer-seats/claim/{invitation_token}const options = {method: 'GET'};
fetch('https://api.polar.sh/v1/customer-seats/claim/{invitation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.polar.sh/v1/customer-seats/claim/{invitation_token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.polar.sh/v1/customer-seats/claim/{invitation_token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"product_name": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"organization_slug": "<string>",
"customer_email": "<string>",
"can_claim": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
